Änderungsprotkoll
=================

Alle wichtigen Änderungen an diesem Projekt werden in dieser Datei dokumentiert.

Das Format basiert auf [Keep a Changelog](https://keepachangelog.com/de/),
und dieses Projekt folgt [Semantic Versioning](https://semver.org/lang/de/).

## [Noch nicht veröffentlicht]

## [2.0.0] - 2018-12-12

### Geändert

*   Verwendet Version 3.0.0 der Funktionen Fuzzy.
*   API modernisiert (Java 8).

### Entfernt

*   Abhängigkeit zu Funclib BitCtrl entfernt.

### Behoben

*   Ä151: Subsegmentanalyse publiziert unnötig viele Datensätze.

## [1.7.2] - 2017-09-21

### Geändert

*   NERZ: Umstellung auf Gradle, Build durch FTB und Bereitstellung auf
    NERZ-Repositories.

## 1.7.1 - 2017-08-15

### Geändert

*   In FuzzyParameterFactory die zu setzenden Werte für `att.ufdsSichtWeite`
    (_UfdsSichtWeite_) auf neues Minimum 10 und Maximum 2000 (aus
    `kb.tmUmfeldDatenGlobal`, Version 25) angepasst.

## 1.7.0

### Geändert

*   Umstellung auf Java 8 und UTF-8.

## 1.6.0

### Geändert

*   Umstellung auf Maven-Build.

## 1.5.2

### Geändert

*   Mantis #2364: Verbesserung für verwaltete Betriebsmeldungen. Die
    Applikationskennung wird beim Start überschrieben mit
    `{Main-Klasse}_{Applikations-ID}`, damit sie nicht mehr zu lang wird.

## 1.5.1

### Behoben

*   Loggausgaben beim Unit-Test werden wieder angezeigt.

## 1.5.0

### Geändert

*   Mantis #2089: Betriebsmeldungen um Systemobjekt in ID ergänzen, wenn
    sinnvoll.
*   Quelltext kompatibler mit Java 6 gemacht.

## 1.4.0

### Hinzugefügt

*   Betriebsinformation und Prüfprozedur liegen jetzt im Zustand "akzeptiert"
    vor.

## 1.3.1

### Geändert

*   Betriebsinformation aktualisiert.

## 1.3.0

### Hinzugefügt

*   Prüfprozedur und Prüfprotokoll in Release aufgenommen
*   Betriebsinformation in Release aufgenommen

### Geändert

*   Test des Prüffalls 7 auf JUnit umgestellt.

## 1.2.0

### Geändert

*   Anpassung an überarbeitetet Funktionsbibliothek de.bsvrz.sys.funclib.bitctrl
  
## 1.1.0

### Geändert

*   Anpassung an neue Paketstruktur der Kernsoftware.

## 1.0.1

### Hinzugefügt

*   Alle noch offenen Datenkatalogänderungen wurden durchgeführt.
*   Die noch offenen Tests laut Prüfspezifikation wurden erfolgreich
    durchgeführt.

## 1.0.0

### Hinzugefügt

*   Erste Auslieferung.
  

[Noch nicht veröffentlicht]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.iav.subsegana/compare/v2.0.0...HEAD
[2.0.0]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.iav.subsegana/compare/v1.7.2...v2.0.0
[1.7.2]: https://gitlab.nerz-ev.de/ERZ/SWE_de.bsvrz.iav.subsegana/compare/v1.7.1...v1.7.2
