/*
 * Segment 5 Intelligente Analyseverfahren, SW-Einheit 5.2 Straßensubsegmentanalyse
 * Copyright (C) 2007-2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.subsegana.subsegana.domain.verkehrsdaten;

/**
 * Definiert die Namen der Messwerte für Verkehrsdaten.
 *
 * @author BitCtrl Systems GmbH, Falko Schumann
 */
public final class Verkehrsgroessen {

    public static final String ALKW = "ALkw";
    public static final String KB = "KB";
    public static final String SKFZ = "SKfz";
    public static final String QKFZ = "QKfz";
    public static final String VKFZ = "VKfz";
    public static final String VERKEHRSZUSTAND = "VerkehrsZustand";
    public static final String VERKEHRSZUSTAND_UNRUHE = "VerkehrsZustandUnruhe";

    private Verkehrsgroessen() {
        // utility class
    }

}
