/*
 * Segment 5 Intelligente Analyseverfahren, SW-Einheit 5.2 Straßensubsegmentanalyse
 * Copyright (C) 2007-2018 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.subsegana.subsegana.portals;

final class Konstanten {

    // Verkehrsdaten

    static final String ATG_ANTEIL_LKW_FUZZYSETS = "atg.anteilLkwFuzzy";
    static final String ATG_BEMESSUNGSDICHTE_FUZZYSETS = "atg.bemessungsDichteFuzzy";
    static final String ATG_GESCHWINDIGKEIT_FUZZYSETS = "atg.verkehrGeschwindigkeitFuzzy";
    static final String ATG_VERKEHRSSTAERKE_STUNDE_FUZZYSETS = "atg.verkehrsStärkeStundeFuzzy";
    static final String ATG_VERKEHRSUNRUHE_FUZZYSETS = "atg.verkehrsUnruheFuzzy";

    // Umfelddaten

    static final String ATG_GLAETTE_FUZZYSETS = "atg.ufdmsParameterGlätteFuzzy";
    static final String ATG_HELLIGKEIT_FUZZYSETS = "atg.ufdsParameterHelligkeitFuzzy";
    static final String ATG_NIEDERSCHLAGSINTENSITAET_FUZZYSETS = "atg.ufdsParameterNiederschlagsIntensitätFuzzy";
    static final String ATG_SICHTWEITE_FUZZYSETS = "atg.ufdsParameterSichtWeiteFuzzy";
    static final String ATG_WINDGESCHWINDIGKEIT_FUZZYSETS = "atg.ufdsParameterWindGeschwindigkeitMittelWertFuzzy";
    static final String ATG_WINDRICHTUNG_FUZZYSETS = "atg.ufdsParameterWindRichtungFuzzy";

    // Regeln

    static final String ATG_REGELBASIS = "atg.fuzzyRegelbasis";

    private Konstanten() {
        // utility class
    }

}
